# How to Contribute
1. The operator-builder team welcomes contributions from the community.  Before you start working with operator-builder, please read our [Developer Certificate of Origin](https://cla.vmware.com/dco).  All contributions to this repository must be signed as described on that page.  Your signature certifies that you wrote the patch or have the right to pass it on as an open-source patch.
1. Open an issue with what you intend to fix or would like to add into the project
1. A project maintainer will triage and assess the impact of this feature or issue, and whether it should be brought into the project
1. Once approval of the issue occurs, work on the issue should start by first forking the project
1. A feature branch should be created in the forked repository
1. A Pull Request (PR) should be created to indicate (WIP) work in progress
1. Once the work has been completed the (WIP) on the PR should be removed
1. The work will then be reviewed either by an automated CI process or manual testing
1. Once all tests have passed, the code will be reviewed
1. Once code review has been completed, the PR will either be approved, or further changes will be made on the feature branch until it is determined to function as expected, and either fixes or adds the feature that the issue initially raised.
1. Occasionally, exceptions will be allowed to this process, but only in rare circumstances when the maintainer deems it necessary.

